<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormView.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWSV4000.aspx.cs" Inherits="Page_CWSV4000" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/MasterPages/FormView.master" %>

<asp:Content ID="cont1" ContentPlaceHolderID="phDS" Runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" 
        TypeName="CW360SalesView.CWSVOrderTreeView" PrimaryView="CustFilter">
        <CallbackCommands>
            <px:PXDSCallbackCommand Name="OpenDoc" Visible="false"  CommitChanges="True"/>
            <px:PXDSCallbackCommand Name="CopyOrder" Visible="false" CommitChanges="True"/>
            <px:PXDSCallbackCommand Name="NewOrder" Visible="false" CommitChanges="True"/>
            <px:PXDSCallbackCommand Name="ViewInvItemHistory" Visible="false" CommitChanges="True"/>
            <px:PXDSCallbackCommand Name="ViewInvSummary" Visible="false" CommitChanges="True"/>  
            <px:PXDSCallbackCommand CommitChanges="True" Name="viewCustomer" Visible="False" />
        </CallbackCommands>
        <DataTrees>
            <px:PXTreeDataMember TreeView="TreeViewDataSource" TreeKeys="ItemCD" />
        </DataTrees>
	</px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" Runat="Server">
    <px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" 
		Width="100%" DataMember="CustFilter" TabIndex="100">
		<Template>
			<px:PXLayoutRule runat="server" StartRow="True" ControlSize="SM" StartColumn="True"/>
            <px:PXSegmentMask CommitChanges="True" ID="edCustomerID" runat="server" DataField="CustomerID" AllowEdit = "True"/>
            <px:PXCheckBox ID="edShowAllCustomers" runat="server" AlignLeft="False" AlreadyLocalized="False" CommitChanges="True" DataField="ShowAllCustomers" Text="Show All" >
            </px:PXCheckBox>
            <px:PXSelector ID="edCustomerClassID" runat="server" DataField="CustomerClassID" AutoRefresh="True" AllowEdit = "True" edit="1"/>            
            <px:PXSelector ID="edContactID" runat="server" DataField="ContactID"  DisplayMode="Text" TextMode="Search"  CommitChanges="True" AutoRefresh="True" AllowEdit = "True" edit="1"/>
            <px:PXLayoutRule runat="server" StartColumn="True"/>
            <px:PXSelector ID="edOrderNbr1" runat="server" DataField="OrderNbr" DisplayMode="Text" TextMode="Search" CommitChanges="True" AutoRefresh="True" AllowEdit = "True" edit="1"/>      
            <px:PXSelector ID="edShipmentNbr" runat="server" DataField="ShipmentNbr" DisplayMode="Text" TextMode="Search" CommitChanges="True" AutoRefresh="True" AllowEdit = "True" edit="1"/>
            <px:PXSegmentMask ID="edInventoryID" runat="server" DataField="InventoryID" TextMode="Search" CommitChanges="True" AutoRefresh="True" AllowEdit = "True"/>
            <px:PXSelector TextMode="Search" AutoRefresh="True" DisplayMode="Text" CommitChanges="True" AllowEdit="True" runat="server" ID="CstPXSelector1" DataField="InvoiceNbr" edit="1"/>           
            <px:PXLayoutRule runat="server" StartColumn="True"/>
            <px:PXDateTimeEdit ID="edStartDate" runat="server" AlreadyLocalized="False" DataField="StartDate" CommitChanges="True">
            </px:PXDateTimeEdit>
            <px:PXDateTimeEdit ID="edEndDate" runat="server" AlreadyLocalized="False" DataField="EndDate" CommitChanges="True">
            </px:PXDateTimeEdit>
            <px:PXSegmentMask ID="edItemClassID" runat="server" DataField="ItemClassID" CommitChanges="True" AllowEdit = "True">
            </px:PXSegmentMask>            
		</Template>
	</px:PXFormView>
    <px:PXFormView ID="CustInfoFrm" runat="server" DataSourceID="ds" Style="z-index: 100" 
		Width="100%" DataMember="CustInfoQuery" TabIndex="100" Caption="Customer Information" CaptionVisible="true" AllowCollapse="False">
		<Template>
			<px:PXLayoutRule ID="PXLayoutRule2" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="XM" />
		    <px:PXDateTimeEdit ID="dtLastInvoice" runat="server" DataField="LastOrdDate"/>
            <px:PXDateTimeEdit ID="PXDateTimeEdit1" runat="server" DataField="LastInvDate"/>
            <px:PXLayoutRule ID="PXLayoutRule3" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="XM" />
            <px:PXDateTimeEdit ID="PXDateTimeEdit2" runat="server" DataField="LastPmtDate"/>            
            <px:PXNumberEdit ID="nbCurrentBal" runat="server" DataField="Balance" />
            <px:PXLayoutRule ID="PXLayoutRule1" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="XM" />
            <px:PXNumberEdit ID="PXNumberEdit1" runat="server" DataField="YTDSales" />
            <px:PXNumberEdit ID="PXNumberEdit2" runat="server" DataField="LastYrSales" />
    	</Template>
	</px:PXFormView>

    <px:PXSplitContainer runat="server" ID="sp" SplitterPosition="300">
        <AutoSize Enabled="true" Container="Window"/>
        <Template1>
            <px:PXTreeView ID="tree" runat="server" DataSourceID="ds" PopulateOnDemand="True" AutoRepaint="True" ShowRootNode="False" ExpandDepth="1" Caption="Orders" SyncPosition="True" KeepPosition="True" SyncPositionWithGraph="True" DataMember="TreeViewDataSource" SelectFirstNode="False" >
                <ToolBarItems>
                    <px:PXToolBarButton DisplayStyle="Text" Text="Open Doc" Enabled="true"  >
                        <AutoCallBack Command="OpenDoc"  Enabled="True" Target="ds"/>
                    </px:PXToolBarButton>
                    <px:PXToolBarButton DisplayStyle="Text" Text="Copy Order" Enabled="true">
                        <AutoCallBack Command="CopyOrder" Enabled="True" Target="ds"/>
                    </px:PXToolBarButton>
                </ToolBarItems>
                <AutoCallBack Target="grid" Command="Refresh"/>
                <DataBindings>
                    <px:PXTreeItemBinding DataMember="TreeViewDataSource" TextField="Description" ValueField="ItemCD" />
                 </DataBindings>
                <AutoSize Enabled="True"/>                
            </px:PXTreeView>
        </Template1>
        <Template2>
           <px:PXGrid ID="grid" runat="server" DataSourceID="ds" ActionsPosition="Top" Width="100%" 
                Caption="Item Purchase History" SkinID="Details" SyncPosition="True" 
                KeepPosition="True" AdjustPageSize="Auto" TabIndex="1800" StatusField="ItemAvailability"> 
                <AutoSize Enabled="True" Container="Parent"/>
                <EmptyMsg AnonFilteredAddMessage="No records found.
Try to change filter to see records here." AnonFilteredMessage="No records found.
Try to change filter to see records here." ComboAddMessage="No records found.
Try to change filter or modify parameters above to see records here." FilteredAddMessage="No records found.
Try to change filter to see records here." FilteredMessage="No records found.
Try to change filter to see records here." NamedComboAddMessage="No records found as '{0}'.
Try to change filter or modify parameters above to see records here." NamedComboMessage="No records found as '{0}'.
Try to change filter or modify parameters above to see records here." NamedFilteredAddMessage="No records found as '{0}'.
Try to change filter to see records here." NamedFilteredMessage="No records found as '{0}'.
Try to change filter to see records here." />
                <Levels>
                    <px:PXGridLevel DataMember="PrevItems">
                        <RowTemplate>
                            <px:PXCheckBox ID="edSelected" runat="server" DataField="Selected" Text="Selected">
                            </px:PXCheckBox>
                            <px:PXSegmentMask ID="edBranchID" runat="server" DataField="BranchID" AllowEdit="True">
                            </px:PXSegmentMask>                            
                            <px:PXSegmentMask ID="edCustomerIDGrid" runat="server" DataField="CustomerID" AllowEdit="True" >
                            </px:PXSegmentMask>
                            <px:PXSegmentMask ID="edInventoryID" runat="server" DataField="InventoryID" AllowEdit="True" >
                            </px:PXSegmentMask>
                            <px:PXSegmentMask ID="edItemClassID" runat="server" AllowEdit="True" DataField="ItemClassID" edit="1">
                            </px:PXSegmentMask>                                                        
                            <px:PXTextEdit ID="edUOM" runat="server" AlreadyLocalized="False" DataField="UOM">
                            </px:PXTextEdit>
                            <px:PXNumberEdit ID="edDiscPct" runat="server" AlreadyLocalized="False" DataField="DiscPct" DefaultLocale="">
                            </px:PXNumberEdit>
                            <px:PXNumberEdit ID="edCuryDiscAmt" runat="server" AlreadyLocalized="False" DataField="CuryDiscAmt" DefaultLocale="">
                            </px:PXNumberEdit>         
                            <px:PXNumberEdit ID="edCuryUnitCost" runat="server" AlreadyLocalized="False" DataField="CuryUnitCost" DefaultLocale="">
                            </px:PXNumberEdit>                           
                            <px:PXNumberEdit ID="edCuryExtCost" runat="server" AlreadyLocalized="False" DataField="CuryExtCost" DefaultLocale="">
                            </px:PXNumberEdit>                                               
                            <px:PXNumberEdit ID="edLastQty" runat="server" AlreadyLocalized="False" DataField="LastQty">
                            </px:PXNumberEdit>
                            <px:PXNumberEdit ID="edCuryLineAmt" runat="server" AlreadyLocalized="False" DataField="CuryLineAmt">
                            </px:PXNumberEdit>
                            <px:PXSegmentMask ID="edSalesPersonID" runat="server" DataField="SalesPersonID">
                            </px:PXSegmentMask>
                        </RowTemplate>
                        <Columns>
                            <px:PXGridColumn DataField="Selected" Type="CheckBox" Width="60px" AllowCheckAll="True" CommitChanges="true">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="BranchID" Width="120px">
                            </px:PXGridColumn>                            
                            <px:PXGridColumn DataField="CustomerID" Width="100px" LinkCommand="viewCustomer">
                            </px:PXGridColumn>                                                        
                            <px:PXGridColumn DataField="OrderNbr" Width="100px">
                            </px:PXGridColumn>                            
                            <px:PXGridColumn DataField="InventoryID" Width="140px">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="Descr" Width="200px">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="ItemClassID" Width="140px">
                            </px:PXGridColumn>                            
                            <px:PXGridColumn DataField="OrderDate" Width="85px">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="CuryUnitPrice" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>                            
                            <px:PXGridColumn DataField="OrderQty" TextAlign="Right" Width="80px">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="UOM">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="DiscPct" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="CuryDiscAmt" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>                                                        
                            <px:PXGridColumn DataField="CuryLineAmt" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>      
                            <px:PXGridColumn DataField="CuryUnitCost" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>                            
                            <px:PXGridColumn DataField="CuryExtCost" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>    

                            <px:PXGridColumn DataField="Margin" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>                            
                            <px:PXGridColumn DataField="MarginPct" TextAlign="Right" Width="100px">
                            </px:PXGridColumn>                                                  

                            <px:PXGridColumn DataField="ShipDate" Width="80px">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="ShippedQty" TextAlign="Right" Width="85px">
                            </px:PXGridColumn>
                            <px:PXGridColumn DataField="SalesPersonID" Width="140px">
                            </px:PXGridColumn>
                        </Columns>
                    </px:PXGridLevel>
                </Levels>
                <ActionBar>
                    <Actions>
                        <Search Enabled="False" />
                        <EditRecord Enabled="False" />
                        <NoteShow Enabled="False" />
                        <FilterShow Enabled="False" />
                        <FilterSet Enabled="False" />
                        <ExportExcel Enabled="False" />
                    </Actions>                
                    <CustomItems>
                        <px:PXToolBarButton DisplayStyle="Text" Text="New Empty Order">
                            <AutoCallBack Command="NewOrder" Enabled="True" Target="ds"/>
                        </px:PXToolBarButton>
                        <px:PXToolBarButton DisplayStyle="Text" Text="View Item History">
                            <AutoCallBack Command="ViewInvItemHistory" Enabled="True" Target="ds"/>
                        </px:PXToolBarButton>
                        <px:PXToolBarButton DisplayStyle="Text" Text="View Inventory Summary">
                            <AutoCallBack Command="ViewInvSummary" Enabled="True" Target="ds"/>
                        </px:PXToolBarButton>
                    </CustomItems>
                </ActionBar>
               <Mode AllowAddNew="False" AllowDelete="False" AllowFormEdit="False"/>
            </px:PXGrid>
        </Template2>
    </px:PXSplitContainer>

    <px:PXSmartPanel id="PanelItemSalesOrders" runat="server" key="SmartPanelGrid" loadondemand="True" width="1400px" height="480px"
        caption="Items in Document" captionvisible="True" autocallback-command='Refresh' autocallback-target="formItem"
        designview="Content" AlreadyLocalized="False" CreateOnDemand="True" TabIndex="500">
        <px:PXFormView ID="formItem" runat="server" CaptionVisible="False" DataMember="SmartPanelHeader"
            DataSourceID="ds" Width="100%" SkinID="Transparent" TabIndex="1300">
            <Activity Height="" HighlightColor="" SelectedColor="" Width="" />
            <Template>
                <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" />
                <px:PXSegmentMask ID="edCustomerID" runat="server" DataField="CustomerID" CommitChanges="True">
                </px:PXSegmentMask>
                <px:PXSegmentMask ID="edInventoryID" runat="server" DataField="InventoryID" CommitChanges="True" />
            </Template>
        </px:PXFormView>
        <px:PXGrid ID="gridItemsDocument" runat="server" DataSourceID="ds" Style="border-width: 1px 0px;
            top: 0px; left: 0px; height: 189px;" AutoAdjustColumns="True" Width="100%" SkinID="Details"
            AdjustPageSize="Auto" AllowSearch="True" FastFilterID="edInventoryID" BatchUpdate="True" Height="189px" TabIndex="800" TemporaryFilterCaption="Filter Applied" >
            <ClientEvents AfterCellUpdate="UpdateItemSiteCell" />           
            <ActionBar PagerVisible="False">
                <PagerSettings Mode="NextPrevFirstLast"/>
            </ActionBar>
            <Levels>
                <px:PXGridLevel DataMember="SmartPanelGrid">
                    <Mode AllowAddNew="false" AllowDelete="false" />
                    <RowTemplate>
                        <px:PXSegmentMask ID="edSPBranchIDSP" runat="server" DataField="BranchID" AllowEdit="True">
                        </px:PXSegmentMask>                                                
                        <px:PXSegmentMask ID="edCustomerIDSP" runat="server" AllowEdit="True" DataField="CustomerID">
                        </px:PXSegmentMask>
                        <px:PXTextEdit ID="edOrderNbrSP" runat="server" AllowEdit="True" DataField="OrderNbr" edit="1">
                        </px:PXTextEdit>
                        <px:PXDateTimeEdit ID="edOrderDateSP" runat="server" AlreadyLocalized="False" DataField="OrderDate" DefaultLocale="">
                        </px:PXDateTimeEdit>
                        <px:PXNumberEdit ID="edOrderQtySP" runat="server" AlreadyLocalized="False" DataField="OrderQty" DefaultLocale="">
                        </px:PXNumberEdit>
                        <px:PXDateTimeEdit ID="edShipDateSP" runat="server" AlreadyLocalized="False" DataField="ShipDate" DefaultLocale="">
                        </px:PXDateTimeEdit>
                        <px:PXNumberEdit ID="edShippedQtySP" runat="server" AlreadyLocalized="False" DataField="ShippedQty" DefaultLocale="">
                        </px:PXNumberEdit>
                        <px:PXTextEdit ID="edUOMSP" runat="server" DataField="UOM">
                        </px:PXTextEdit>
                        <px:PXNumberEdit ID="edCuryUnitPriceSP" runat="server" AlreadyLocalized="False" DataField="CuryUnitPrice" DefaultLocale="">
                        </px:PXNumberEdit>
                        <px:PXNumberEdit ID="edCuryLineAmtSP" runat="server" AlreadyLocalized="False" DataField="CuryLineAmt" DefaultLocale="">
                        </px:PXNumberEdit>
                    </RowTemplate>
                    <Columns>

                        <px:PXGridColumn DataField="BranchID" Width="120px">
                        </px:PXGridColumn>                            
                        <px:PXGridColumn AutoCallBack="true" DataField="CustomerID" Width="100px" />
                        <px:PXGridColumn CommitChanges="True" DataField="OrderType" Width="60px" />
                        <px:PXGridColumn DataField="OrderNbr" Width="100px" />
                        <px:PXGridColumn DataField="OrderDate" Width="85px" />
                        <px:PXGridColumn DataField="CuryUnitPrice" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>                        
                        <px:PXGridColumn DataField="OrderQty" TextAlign="Right" Width="80px">
                        </px:PXGridColumn>
                        <px:PXGridColumn DataField="UOM">
                        </px:PXGridColumn>

                        <px:PXGridColumn DataField="DiscPct" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>
                        <px:PXGridColumn DataField="CuryDiscAmt" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>                                                        
                        <px:PXGridColumn DataField="CuryLineAmt" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>      
                        <px:PXGridColumn DataField="CuryUnitCost" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>                            
                        <px:PXGridColumn DataField="CuryExtCost" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>    
                        <px:PXGridColumn DataField="Margin" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>                            
                        <px:PXGridColumn DataField="MarginPct" TextAlign="Right" Width="100px">
                        </px:PXGridColumn>                                                  
                        <px:PXGridColumn DataField="ShipDate" Width="80px">
                        </px:PXGridColumn>
                        <px:PXGridColumn DataField="ShippedQty" TextAlign="Right" Width="85px">
                        </px:PXGridColumn>
                        <px:PXGridColumn DataField="SalesPersonID" Width="140px">
                        </px:PXGridColumn>

                    </Columns>
                </px:PXGridLevel>
            </Levels>
            <AutoSize Enabled="true" />
        </px:PXGrid>
        <px:PXPanel ID="PXPanel1" runat="server" SkinID="Buttons">
            <px:PXButton ID="PXButton1" runat="server" DialogResult="Cancel" Text="Close" />
        </px:PXPanel>
    </px:PXSmartPanel>    
</asp:Content>
